hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jeff saremi <jeffsar...@hotmail.com>
Subject Re: hbase-default.xml seems to be for an older version of HBase
Date Sat, 04 Mar 2017 03:44:27 GMT
The issue is the mixed path separators being passed to the script saveVersion.sh

I recompiled on Ubuntu and everything is fine now.

So the take away is that the exec step can fail however maven reports build successful.

thanks

________________________________
From: jeff saremi <jeffsaremi@hotmail.com>
Sent: Friday, March 3, 2017 6:47:05 PM
To: dev@hbase.apache.org
Subject: hbase-default.xml seems to be for an older version of HBase


I get this baffling error message after doing a compilation of Hbase rel/1.2.2 (on Windows/Mingw)
and running it on a windows server.

Looking at the source, hbase-default.xml is in the hbase-common project and I verified it
to be included in the runtime jar file.

I cannot say anything about the contents of this file since it seems to be filled with references
and place holders. I am attaching it as extracted from the hbase-common-1.2.2jar.

Thanks


Exception in thread "main" java.lang.RuntimeException: hbase-default.xml file seems to be
for an older version of HBase (1.2.2), this version is Unknown
        at org.apache.hadoop.hbase.HBaseConfiguration.checkDefaultsVersion(HBaseConfiguration.java:71)
        at org.apache.hadoop.hbase.HBaseConfiguration.addHbaseResources(HBaseConfiguration.java:81)
        at org.apache.hadoop.hbase.HBaseConfiguration.create(HBaseConfiguration.java:96)
        at org.apache.hadoop.hbase.regionserver.HRegionServer.main(HRegionServer.java:2660)


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message